WordPress.org

Make WordPress Core

Changeset 50200


Ignore:
Timestamp:
02/05/2021 03:54:48 AM (12 months ago)
Author:
desrosj
Message:

Build/Test Tools: Fix tests after [50199].

This removes a test assertion defending against version ranges in the node value in package.json files. This is now supported.

Props peterwilsoncc.
Merges [50192] to the 5.1 branch.
See #52341.

Location:
branches/5.1
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/5.1

  • branches/5.1/tests/phpunit/tests/basic.php

    r42381 r50200  
    3636        $this->assertArrayHasKey( 'engines', $package_json );
    3737        $this->assertArrayHasKey( 'node', $package_json['engines'] );
    38         $node = $package_json['engines']['node'];
    39         $this->assertRegExp( '~^=?\d+\.\d+\.\d+$~', $node, "package.json's node version cannot be a range." );
    4038    }
    4139
Note: See TracChangeset for help on using the changeset viewer.